> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crypto Treasury Holdings by Coin ID

> This endpoint allows you to **query public companies & governments' cryptocurrency holdings** by Coin ID

<Note>
  ### Note

  * The responses are sorted in descending order based on total holdings.
  * CoinGecko equivalent page: [https://www.coingecko.com/en/treasuries/bitcoin](https://www.coingecko.com/en/treasuries/bitcoin).
  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /{entity}/public_treasury/{coin_id}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /{entity}/public_treasury/{coin_id}:
    get:
      tags:
        - Public Treasury
      summary: Crypto Treasury Holdings by Coin ID
      description: >-
        This endpoint allows you **query public companies & governments'
        cryptocurrency holdings** by Coin ID
      operationId: companies-public-treasury
      parameters:
        - name: entity
          in: path
          description: public company or government entity
          required: true
          schema:
            type: string
            enum:
              - companies
              - governments
        - name: coin_id
          in: path
          description: 'coin ID. example: bitcoin, ethereum, solana, binancecoin'
          required: true
          schema:
            type: string
            example: bitcoin
            default: bitcoin
        - name: per_page
          in: query
          description: Number of results to return per page
          required: false
          schema:
            type: integer
            default: 250
            minimum: 1
            maximum: 250
            example: 250
        - name: page
          in: query
          description: Page number to return
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
            example: 1
        - name: order
          in: query
          description: Sort order for results
          required: false
          schema:
            type: string
            enum:
              - total_holdings_usd_desc
              - total_holdings_usd_asc
            default: total_holdings_usd_desc
            example: total_holdings_usd_desc
      responses:
        '200':
          description: Get public companies & governments crypto treasury holding data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTreasury'
components:
  schemas:
    PublicTreasury:
      oneOf:
        - $ref: '#/components/schemas/CompaniesTreasury'
        - $ref: '#/components/schemas/GovernmentsTreasury'
    CompaniesTreasury:
      type: object
      properties:
        total_holdings:
          type: number
          description: total crypto holdings of companies
        total_value_usd:
          type: number
          description: total crypto holdings value in usd
        market_cap_dominance:
          type: number
          description: market cap dominance
        companies:
          type: array
          items:
            $ref: '#/components/schemas/TreasuryEntity'
    GovernmentsTreasury:
      type: object
      properties:
        total_holdings:
          type: number
          description: total crypto holdings of governments
        total_value_usd:
          type: number
          description: total crypto holdings value in usd
        market_cap_dominance:
          type: number
          description: market cap dominance
        governments:
          type: array
          items:
            $ref: '#/components/schemas/TreasuryEntity'
    TreasuryEntity:
      type: object
      properties:
        name:
          type: string
          description: company or government name
        symbol:
          type: string
          description: company symbol
        country:
          type: string
          description: company incorporated or government country
        total_holdings:
          type: number
          description: total crypto holdings
        total_entry_value_usd:
          type: number
          description: total entry value in usd
        total_current_value_usd:
          type: number
          description: total current value of crypto holdings in usd
        percentage_of_total_supply:
          type: number
          description: percentage of total crypto supply
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````